Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::viewpoint_node::position_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::viewpoint_node::position_exposedfield:

[legend]
List of all members.

## Detailed Description

position exposedField implementation.

For internal use only.

## Public Member Functions
| position_exposedfield (viewpoint_node &node)
| Construct.
virtual | ~position_exposedfield () throw ()
| Destroy.
## Private Member Functions
virtual void | event_side_effect (const sfvec3f &position, double timestamp) throw (std::bad_alloc)
| Process an event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::viewpoint_node::position_exposedfield::position_exposedfield | ( | viewpoint_node & | node | ) | `[explicit]`

  | Construct. Parameters:
  | node | viewpoint_node.

openvrml::vrml97_node::viewpoint_node::position_exposedfield::~position_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::viewpoint_node::position_exposedfield::event_side_effect | ( | const sfvec3f & | position,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

  | Process an event. Parameters:
  | position | position.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.
Reimplemented from openvrml::exposedfield< sfvec3f >.